package cn.cecep.talroad.mapper.effective;

import cn.cecep.talroad.domain.effective.MAiControlDelayAssessment;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface MAiControlDelayAssessmentMapper extends BaseMapper<MAiControlDelayAssessment> {
    int updateBatch(List<MAiControlDelayAssessment> list);

    int updateBatchSelective(List<MAiControlDelayAssessment> list);

    int batchInsert(@Param("list") List<MAiControlDelayAssessment> list);
}